---
title: Install pynitrokey on Fedora 41
description: Here's how I installed pynitrokey on my Fedora 41 KDE laptop, resolving missing dependencies.
date: 2025-03-30T10:53:35+0100
draft: false
# ShowLastmod: true
toc: false
scrolltotop: true
images: []
tags:
  - security
  - Linux
  - Fedora
---

{{< figure src="IMGP0069.jpg"
    alt="My Nitrokey 3A mini"
    title="My Nitrokey 3A mini on the right side of the picture" >}}

I use [Yubikey][]s and [Nitrokey][]s as a second factor during 2FA
authentication.

My experiences with Nitrokey devices have been mixed. Currently my 3A mini
stopped working. I wanted to investigate what's going on, only to find out that
the commandline tool `nitropy` no longer worked on my machine either! :-(

Here's how I got it to work again. I'm a Python noob, so maybe there's a better
way to install the dependencies. The operating system is Fedora 41.

```bash
sudo dnf install systemd-devel python3-devel
pipx install pynitrokey
```

Afterwards I was greeted with this:

```text
$ nitropy nk3 test
Command line tool to interact with Nitrokey devices 0.8.1
Critical error:
No connected NK3 devices found

--------------------------------------------------------------------------------
Critical error occurred, exiting now
Unexpected? Is this a bug? Would you like to get support/help?
- You can report issues at: https://support.nitrokey.com/
- Writing an e-mail to support@nitrokey.com is also possible
- Please attach the log: '/tmp/nitropy.log._p6mpa3e' with any support/help request!
- Please check if you have udev rules installed: https://docs.nitrokey.com/nitrokeys/nitrokey3/firmware-update#troubleshooting-linux
```

I made sure that I had the abovementioned `udev` rules in place. The key is not
detected by any system, be it my personal Linux laptop or any Windows machine
that I could access. [D'oh][]!

[Nitrokey]: https://www.nitrokey.com
[Yubikey]: https://www.yubico.com
[d'oh]: https://en.wikipedia.org/wiki/D'oh!